SLEEP(3)

NAME
sleep - suspend process execution for interval of seconds

SYNOPSIS
#include <unistd.h>
u_int
sleep(u_int seconds);

DESCRIPTION
The sleep() function suspends execution of the calling process for seconds of time. System activity or time spent in processing the call may lengthen the sleep by a second.

If a timer is already running on the process its state is saved. If the value seconds is more than or equal to the remaining clock time for the saved timer, the sleep time is set to the remaining clock time. The state of the previous timer is restored after seconds has passed.

This function is implemented using setitimer(2); it requires eight system calls each time it is invoked. A similar but less compatible function can be obtained with a single select(2); such a function would not restart after signals, but would not interfere with other uses of setitimer.

RETURN VALUES

SEE ALSO
setitimer(2), sigpause(2), usleep(3)

HISTORY
A sleep() function appeared in AT&T UNIX.